Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
    Vin
    @vinu_80_twitter
    Hi All
    Can you let me know if Dockerfile are available to build the images before running docker compose - instead of Docker pull of the images
    We have constraints in our Org for using Docker pull
    Traun Leyden
    @tleyden
    hey @vinu_80_twitter
    yes, let me get you the current link for the Dockerfile
    Vin
    @vinu_80_twitter
    @tleyden Thanks a ton for the quick response
    For RabbitMq - can i use the official rabbit mq docker file
    Vin
    @vinu_80_twitter
    @tleyden Sorry i'm new to this - in the docker-compose , the images are getting pulled - but we would need the images to be build from a dockerfile. So i have the dockerfile for open-oc2, open-ocr-preprocesor but for rabbitmq is there a dockerfile i can use
    Traun Leyden
    @tleyden
    oh I know, but you can see from the docker-compose that it uses the official rabbitmq docker image
    if you want the rabbitmq dockerfile, you can probably find it on dockerhub
    Vin
    @vinu_80_twitter
    Okay , thanks i'll try that
    Vin
    @vinu_80_twitter
    @tleyden Hi, when docker build using this file - tleyden5iwx/open-ocr-preprocessor/~/dockerfile/ - i get the below error, any help on what i might be doing wrong here
    image.png
    Traun Leyden
    @tleyden
    @vinu_80_twitter hmm, I think something may have broke in the build due to dependency or golang changes. I tried kicking off a rebuild on dockerhub: https://hub.docker.com/r/tleyden5iwx/open-ocr-preprocessor/builds/bnfabrdd2csurejew46top3/ (not sure if you can view that)
    I'll let you know if that passes/fails
    Vin
    @vinu_80_twitter
    @tleyden the issue was cause of golang version , i have fixed it and its working fine. I've checked the same into this - https://github.com/vinums/open-ocr
    Let me know if i can merge the same to your code.
    Traun Leyden
    @tleyden
    @vinu_80_twitter yes please send a PR!
    actually maybe not needed. only change is ENV GO_VERSION=1.9?
    Vin
    @vinu_80_twitter
    @tleyden the code to install gov1.9 is from line 42 to 46 in https://github.com/vinums/open-ocr/blob/master/open-ocr-preprocessor/Dockerfile
    Traun Leyden
    @tleyden
    I’m curious too!
    Magical Deep Learning
    Akash Agarwal
    @iAk4zh_twitter
    https://hub.docker.com/r/tleyden5iwx/open-ocr-2 Does this docker image of open-ocr work for anyone?